Skip to main content
GET
/
v1
/
simulation
/
runs
List simulation runs
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/simulation/runs \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "scenario_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tool_overrides": {},
      "status": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "finished_at": "2023-11-07T05:31:56Z",
      "error_text": "<string>",
      "inputs_snapshot": {},
      "created_at": "2023-11-07T05:31:56Z",
      "recording_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "recording_status": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

status
enum<string> | null
Available options:
pending,
running,
completed,
failed,
cancelled,
budget_exceeded
agent_id
string<uuid> | null
limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Response

Successful Response

items
SimulationRunResponse · object[]
required
has_more
boolean
required
next_cursor
string | null